c                               TOPIC IV (2)
c REAL ARTITHMETIC AND INTRINSIC FUNCTIONS. 

c*********************************************************************************
c "Intrinsic functions" are procedures that are already built into the
c language so the programmer can simply use them instead of coding
c them in detail. For example a Fortran Compiler must know how to take
c the Square root of a number. So that by convention when we write
c  X=SQRT(Y) the machine will take the square root of the contents of Y
c and place the result in X. 
c Of course there are often restrictions on the usage of functions which if
c violated, will result in a Run-Time error. For example, if your program
c attempts to take the SQRT of a negative number, the program will terminate
c at run-time with an error. There are many intrinsic functions available 
c in Fortran. See your compilers documentation for a complete list.
c*********************************************************************************

c This program converts Cartesian(X,Y) to Polar coordinates(R,THETA)
c X and Y are user inputs. R, THETA are output.

        REAL X,Y,R,THETA                !declarations

c this section is for input (we'll just do a simple input here, but it can
c be a fancy GUI etc)
        WRITE(*,*)'Please enter x,y'
        READ(*,*)X,Y

c This section does the computation
        R=SQRT(X*X + Y*Y)            !the radial coordinate
        THETA=ATAN(Y/X)                 !the tangetial coordinate

c this section will do the output(see also the remark on the input section)
        WRITE(*,*)'R= ',R,'   Theta= ',THETA

        END


c======== * ======== * ======== * ======== * ======== * ======== * ======== * 
c as an exercise write a program that does the reverse of this routine
c that is convert from R,THETA to X,Y using:
c       X=R Cos(theta)  and  Y=R Sin(theta)



c ======= * ======== * ========= * ======= * ======== * ========= 
c REGISTER YOUR OWNERSHIP TO GET THE VIDEO TAPE & EXTRA LESSONS 
c IN TIME FOR WHEN YOU FINISH THE TOPICS PROVIDED HERE
c ======= * ======== * ========= * ======= * ======== * ========= 

